#
# $Header: $
#
RM = rm -f

#SUBDIRS=

lib_LTLIBRARIES=libXmHTML.la

libXmHTML_la_LDFLAGS=
libXmHTML_la_SOURCES= \
	XmHTML.c Balloon.c XmImage.c fonts.c callbacks.c events.c frames.c \
	forms.c StringUtil.c parse.c format.c layout.c paint.c colors.c \
	images.c readBitmap.c readFLG.c readGIF.c readGIFplc.c readXPM.c \
	readJPEG.c readJPEGplc.c readPNG.c map.c XCC.c quantize.c \
	LZWStream.c plc.c error.c strings.c textsel.c output.c motif.c \
	public.c warnings.c private.c stack.c

if NLIBJPEG
JPEGINC =
else
JPEGINC = -I@jpeg_includes@
endif

if NLIBPNG
PNGINC =
else
PNGINC = -I@png_includes@
endif

if NLIBZ
ZLIBINC =
else
ZLIBINC = -I@zlib_includes@
endif

IMAGEINC= $(JPEGINC) $(PNGINC) $(ZLIBINC)

INCLUDES= -I$(top_srcdir)/include ${X_CFLAGS} -I@motif_includes@ $(IMAGEINC)

